This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 946929 - (CVE-2013-0800) CVE-2013-0800 Mozilla: Out-of-bounds write in Cairo library (MFSA 2013-31)
CVE-2013-0800 Mozilla: Out-of-bounds write in Cairo library (MFSA 2013-31)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130402,repo...
: Security
Depends On:
Blocks: 923151
  Show dependency treegraph
 
Reported: 2013-03-31 22:01 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 12:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-31 22:01:22 EDT
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team used the Address Sanitizer tool to discover an out-of-bounds write in Cairo graphics library. When certain values are passed to it during rendering, Cairo attempts to use negative boundaries or sizes for boxes, leading to a potentially exploitable crash in some instances. 


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-31.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.
Comment 1 errata-xmlrpc 2013-04-02 15:49:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0697 https://rhn.redhat.com/errata/RHSA-2013-0697.html
Comment 2 errata-xmlrpc 2013-04-02 16:07:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0696 https://rhn.redhat.com/errata/RHSA-2013-0696.html

Note You need to log in before you can comment on or make changes to this bug.